# ERC721 Token Transfers

ERC721 Token Transfers table records all the transfer events of ERC721 tokens. Each row represents a single token transfer, including the token address, token ID, sender (from\_address), recipient (to\_address) and the transaction and block details associated with the transfer.

## ETL data class

| Column Name       | Data Type | Note |
| ----------------- | --------- | ---- |
| token\_address    | str       |      |
| token\_id         | int       |      |
| from\_address     | str       |      |
| to\_address       | str       |      |
| transaction\_hash | str       |      |
| log\_index        | int       |      |
| block\_timestamp  | timestamp |      |
| block\_number     | int       |      |
| block\_hash       | str       |      |

Examples

```json
{
  "token_address": "0x5dac7efe0b4cd2cabdd350efc0c69bcaa81e76c6",
  "token_id": 7228,
  "from_address": "0x0000000000000000000000000000000000000000",
  "to_address": "0xfbabacd8ef4deefa572cdc1a685781c2b551490e",
  "transaction_hash": "0xde75fa94443a7e3035a0ad4ed1bfb762aa9ec1cdf283cf86878246f0911e5a0d",
  "log_index": 3,
  "block_timestamp": "2023-10-29T03:34:19.000Z",
  "block_number": 435530,
  "block_hash": "0x68189ad6461faff3837f22571813eb507de3bdca2d1c9b596f233bd1fc8ff810"
}
```

```csv
0x5dac7efe0b4cd2cabdd350efc0c69bcaa81e76c6,7228,0x0000000000000000000000000000000000000000,0xfbabacd8ef4deefa572cdc1a685781c2b551490e,0xde75fa94443a7e3035a0ad4ed1bfb762aa9ec1cdf283cf86878246f0911e5a0d,3,2023-10-29T03:34:19.000Z,435530,0x68189ad6461faff3837f22571813eb507de3bdca2d1c9b596f233bd1fc8ff810,
```

## Model in the Database

| Column Name       | Data Type   | Note |
| ----------------- | ----------- | ---- |
| token\_address    | bytea       |      |
| token\_id         | numeric(78) |      |
| from\_address     | bytea       |      |
| to\_address       | bytea       |      |
| transaction\_hash | bytea       |      |
| log\_index        | bigint      |      |
| block\_timestamp  | timestamp   |      |
| block\_number     | bigint      |      |
| block\_hash       | bytea       |      |

Examples

```json
{
  "token_address": "\\x5dac7efe0b4cd2cabdd350efc0c69bcaa81e76c6",
  "token_id": 7228,
  "from_address": "\\x0000000000000000000000000000000000000000",
  "to_address": "\\xfbabacd8ef4deefa572cdc1a685781c2b551490e",
  "transaction_hash": "\\xde75fa94443a7e3035a0ad4ed1bfb762aa9ec1cdf283cf86878246f0911e5a0d",
  "log_index": 3,
  "block_timestamp": "2023-10-29 03:34:19.000000",
  "block_number": 435530,
  "block_hash": "\\x68189ad6461faff3837f22571813eb507de3bdca2d1c9b596f233bd1fc8ff810",
  "token_uri": null
}
```

```csv
\\x5dac7efe0b4cd2cabdd350efc0c69bcaa81e76c6,7228,\\x0000000000000000000000000000000000000000,\\xfbabacd8ef4deefa572cdc1a685781c2b551490e,\\xde75fa94443a7e3035a0ad4ed1bfb762aa9ec1cdf283cf86878246f0911e5a0d,3,2023-10-29 03:34:19.000000,435530,\\x68189ad6461faff3837f22571813eb507de3bdca2d1c9b596f233bd1fc8ff810,
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thehemera.com/hemera-indexer/data-class/generated-tables/erc721-token-transfers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
